package org.rcisoft.business.memInfo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.memInfo.entity.MemInfo;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年12月20日 下午3:35:34.
 */
public interface MemInfoService {

    /**
    * 保存 会员表
    * @param memInfo
    * @return
    */
    CyPersistModel persist(MemInfo memInfo);

    /**
    * 删除 会员表
    * @param memInfo
    * @return
    */
    CyPersistModel remove(MemInfo memInfo);

    /**
    * 逻辑删除 会员表
    * @param memInfo
    * @return
    */
    CyPersistModel removeLogical(MemInfo memInfo);

    /**
    * 修改 会员表
    * @param memInfo
    * @return
    */
    CyPersistModel merge(MemInfo memInfo);

    /**
    * 根据id查询 会员表
    * @param id
    * @return
    */
    MemInfo findById(int id);

    /**
    * 分页查询 会员表
    * @param memInfo
    * @return
    */
    IPage<MemInfo> findAllByPagination(CyPageInfo<MemInfo> paginationUtility,
              MemInfo memInfo);


    /**
    * 查询list 会员表
    * @param memInfo
    * @return
    */
    List<MemInfo> findAll(MemInfo memInfo);


    /**
    * 导出会员表
    * @return
    */
    List<MemInfo> export(MemInfo memInfo);

    /**
     * 校验会员信息
     * @param memInfo
     * @return
     */
    Boolean checkInfo(MemInfo memInfo);

    MemInfo getUserPhone(Integer businessId);
}
